### Function

# RB find_user_cache_file

#### Declaration [src]

    char*
    rb_find_user_cache_file (
      const char* name
    )

#### Description [src]

Determines the full path to use for user-specific cached files within the user cache directory.

#### Parameters

`name`

  Type: `const char*`

  Name of file to find.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

Allocated string containing the location of the file to use, even if an error occurred.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.